Bug 833553 - Expose additional metrics through JMX
Expose additional metrics through JMX
Status: NEW
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.0
All All
unspecified Severity unspecified
: ---
: 6.2.0
Assigned To: Tristan Tarrant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 14:40 EDT by David van Balen
Modified: 2013-06-27 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David van Balen 2012-06-19 14:40:22 EDT
I will be working on exposing the following additional requested metrics through JMX:

- Incoming/outgoing packets per second (minute)
- Incoming/outgoing bytes per second (minute)
- Incoming/outgoing bytes per second for groups of data nodes (I.e. data center/location)
- Transactions per minute (split among reads, writes, get peers, ping, announce, errors)
- Status of keys on data node (what percent are outdated what percent are synchronizing)
- Originated transactions per minute (reads, writes, get peers, ping, announce, errors generated as opposed to received/processed)
- Largest/smallest memory consumers by cache
Comment 1 mark yarborough 2012-11-14 09:42:41 EST
ttarrant will add jira links as appropriate.

Note You need to log in before you can comment on or make changes to this bug.